Description

If there is a tab char inside a C string, syncronize translation files fails from that string so no more t_(" ") strings will be added to the .t file

from that C string.

For example:

File demo.cpp

...

str = t_("First sentence");        // "First sentence" goes to .t file

str = "There is a tab '    ' here";    

str = t_("Second sentence");        // "Second sentence" and the rest from here does not go to .t file

...

History

#1 - 10/28/2014 05:29 PM - Iñaki Zabala

- Category changed from Core to IDE

#2 - 11/12/2014 03:36 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Iñaki Zabala

Not sure I quite understand this. Tab (I mean ASCII 9 byte, not \n escape) in string is AFAIK illegal in C/C++. Thus the file is ill-formed and it is only logicall

that it is not parsed...

What am I missing?

#3 - 02/08/2015 01:14 PM - Miroslav Fidler

- Status changed from New to Approved
